# Copyright (c) 2022 ModalAI, Inc.
# for qrb5165
# This should start after voxl-px4 when voxl-px4 is enabled.
# It does not 'Require' voxl-px4 since we often want to disable
# voxl-px4 and we don't want this service to automatically start
# voxl-px4 when we don't want it running.

[Unit]
Description=voxl-mavlink-server
SourcePath=/usr/bin/voxl-mavlink-server
After=voxl-px4.service

[Service]
User=root
Type=simple
PIDFile=/run/voxl-mavlink-server.pid
ExecStartPre=/bin/sleep 2
ExecStart=/usr/bin/voxl-mavlink-server

[Install]
WantedBy=multi-user.target

